Channels
Get my downline conversation
Return your downline conversation, a group conversation for you and your downline, creating it if it does not exist yet. Callable by a signed-in rep whose role includes the messaging view permission. Use Sync downline conversation to refresh its members.
GET
/
api
/
v1
/
messaging
/
conversations
/
my_downline
Get my downline conversation
curl --request GET \
--url https://api.fluid.app/api/v1/messaging/conversations/my_downline \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/v1/messaging/conversations/my_downline"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/v1/messaging/conversations/my_downline', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/v1/messaging/conversations/my_downline",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/v1/messaging/conversations/my_downline"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fluid.app/api/v1/messaging/conversations/my_downline")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/v1/messaging/conversations/my_downline")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": 90377,
"type": "DownlineConversation",
"kind": "downline",
"name": "Dwight's Downline",
"description": null,
"status": "open",
"conversation_type": "internal",
"broadcasting": null,
"auto_add_recipients": null,
"announcing": false,
"avatar_background_color": null,
"avatar_emoji": null,
"avatar_url": null,
"image_url": null,
"created_at": "2026-09-03T12:15:09Z",
"pinned_messages_count": 0,
"total_recipients": 3,
"unread": false,
"pinned": false,
"muted": false,
"unread_messages_count": 0,
"scheduled_messages_count": 0,
"email_enabled?": false,
"sms_enabled?": false,
"messaging_enabled?": true,
"draft_message": null,
"recipients": [
{
"id": 48211,
"receivable_id": 7802,
"receivable_type": "UserCompany",
"first_name": "Dwight",
"last_name": "Schrute",
"status": "active",
"last_online": "2026-09-30T14:58:03Z",
"avatar_background": "#0EA5E9",
"avatar_url": null,
"image_url": null,
"country_name": "United States",
"pro_user": true,
"blocked": null,
"left_conversation_at": null,
"discarded_at": null
},
{
"id": 48307,
"receivable_id": 7859,
"receivable_type": "UserCompany",
"first_name": "Jim",
"last_name": "Halpert",
"status": "active",
"last_online": "2026-09-30T09:17:31Z",
"avatar_background": "#F59E0B",
"avatar_url": null,
"image_url": null,
"country_name": "United States",
"pro_user": false,
"blocked": null,
"left_conversation_at": null,
"discarded_at": null
},
{
"id": 48355,
"receivable_id": 7864,
"receivable_type": "UserCompany",
"first_name": "Pam",
"last_name": "Beesly",
"status": "active",
"last_online": "2026-09-29T21:03:55Z",
"avatar_background": "#EC4899",
"avatar_url": null,
"image_url": null,
"country_name": "United States",
"pro_user": false,
"blocked": null,
"left_conversation_at": null,
"discarded_at": null
}
],
"creator": {
"id": 48211,
"first_name": "Dwight",
"last_name": "Schrute",
"avatar_background": "#0EA5E9",
"image_url": null,
"pro_user": true,
"blocked": null,
"blocker": null,
"discarded_at": null
}
}{
"message": "<string>"
}Response
Your downline conversation.
A conversation as seen by the acting recipient. Per-recipient fields such as unread, pinned, and muted describe that recipient's view of the conversation. recipients lists at most six active participants; total_recipients is the full count.
⌘I
Get my downline conversation
curl --request GET \
--url https://api.fluid.app/api/v1/messaging/conversations/my_downline \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/v1/messaging/conversations/my_downline"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/v1/messaging/conversations/my_downline', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/v1/messaging/conversations/my_downline",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/v1/messaging/conversations/my_downline"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fluid.app/api/v1/messaging/conversations/my_downline")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/v1/messaging/conversations/my_downline")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": 90377,
"type": "DownlineConversation",
"kind": "downline",
"name": "Dwight's Downline",
"description": null,
"status": "open",
"conversation_type": "internal",
"broadcasting": null,
"auto_add_recipients": null,
"announcing": false,
"avatar_background_color": null,
"avatar_emoji": null,
"avatar_url": null,
"image_url": null,
"created_at": "2026-09-03T12:15:09Z",
"pinned_messages_count": 0,
"total_recipients": 3,
"unread": false,
"pinned": false,
"muted": false,
"unread_messages_count": 0,
"scheduled_messages_count": 0,
"email_enabled?": false,
"sms_enabled?": false,
"messaging_enabled?": true,
"draft_message": null,
"recipients": [
{
"id": 48211,
"receivable_id": 7802,
"receivable_type": "UserCompany",
"first_name": "Dwight",
"last_name": "Schrute",
"status": "active",
"last_online": "2026-09-30T14:58:03Z",
"avatar_background": "#0EA5E9",
"avatar_url": null,
"image_url": null,
"country_name": "United States",
"pro_user": true,
"blocked": null,
"left_conversation_at": null,
"discarded_at": null
},
{
"id": 48307,
"receivable_id": 7859,
"receivable_type": "UserCompany",
"first_name": "Jim",
"last_name": "Halpert",
"status": "active",
"last_online": "2026-09-30T09:17:31Z",
"avatar_background": "#F59E0B",
"avatar_url": null,
"image_url": null,
"country_name": "United States",
"pro_user": false,
"blocked": null,
"left_conversation_at": null,
"discarded_at": null
},
{
"id": 48355,
"receivable_id": 7864,
"receivable_type": "UserCompany",
"first_name": "Pam",
"last_name": "Beesly",
"status": "active",
"last_online": "2026-09-29T21:03:55Z",
"avatar_background": "#EC4899",
"avatar_url": null,
"image_url": null,
"country_name": "United States",
"pro_user": false,
"blocked": null,
"left_conversation_at": null,
"discarded_at": null
}
],
"creator": {
"id": 48211,
"first_name": "Dwight",
"last_name": "Schrute",
"avatar_background": "#0EA5E9",
"image_url": null,
"pro_user": true,
"blocked": null,
"blocker": null,
"discarded_at": null
}
}{
"message": "<string>"
}